Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 24 Oct 2021 03:02:45 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I ordered this order #6350684842 and I returned some of the items but I didn't receive the refund till today and it's been a month now and I contacted you many times and nothing happened

So please if you didn't transfer the money to my bank account please do it ASAP cause it's been a month now and if you returned me the money then please give the transfer number or anything I can use it to follow up with my bank

Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3235449